KJS5(1)

NAME
kjs5 - KDE ECMAScript compatible interpreter

SYNOPSIS

kjs5
 [
 | [--help]
 | [-help]
 | [-h] ]
 [
 | [--version]
 | [-version]
 | [-v] ]
 [
 | [-e statement] ]
 [
 | script ]

DESCRIPTION

kjs is KDE ECMAScript/JavaScript engine.

APPLICATION OPTIONS

--help,-help,-h
    Show kjs5 usage.

--version,-version,-v
    Show kjs5 version.

-e statement
    Executes the statement and exits. For example:

        kjs5 -e "print('hello world')"

script
    Executes the statements included in file script.

USAGE

kjs5 file, as many other interpreters, when called without parameters uses a line editor to enter statements, showing the prompt

    JS>

To exit the line editor type quit() or press Ctrl+D.

SEE ALSO

kjscmd5(1)

BUGS

Please use KDE's bugtracker[1] to report bugs.

AUTHOR

Harri Porten <porten@kde.org>
    Author.

NOTES

1.  KDE's bugtracker
    http://bugs.kde.org